PHP is among the most widely used multiparadigm programming languages. It is pretty popular because it is free software, which can be used to develop interactive websites such as community portals, web shops or e-learning portals instead of static HTML-based sites. A PHP module must be available on the web server where a PHP-powered website is hosted so that its code can be ‘deciphered’. Because there aren’t any license fees for this kind of module and the language itself provides endless possibilities for the Internet applications that you set up, there are 100s of millions of PHP-powered sites. Also, there are a lot of open-source PHP-based scripts, which you can use for your sites without having to possess any programming experience. Considering the fact that there’re a number of versions of PHP, you should confirm that the same exact version that you used while developing your site is activated on the server as well.

PHP 4 and PHP 5 Support in Shared Hosting

Our shared hosting servers support different versions of PHP, which goes to say that your websites will work faultlessly even if your PHP scripts are outdated. We realize that an old site does not invariably imply an insecure one as you may have carried out plenty of code modifications. That’s the reason why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can decide which one will be active for your hosting account. You can change the version with only one single click inside your Hepsia Control Panel and the update will be applied momentarily. In case you want to run both older and newer scripts, there’s even an option to use a different version of PHP for each of your domains at the same time.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Even if your sites were built with an earlier version of PHP, you will be able to host them in a semi-dedicated server account from us, as we support multiple versions running at the same time on our servers and each one of them can be activated for your account with no more than one click through our in-house developed Hepsia hosting Control Panel. Aside from the newest PHP 5.5 and PHP 5.4, we also support 5.2, 5.3 and the older PHP 4. The latter has already been dropped by the vast majority of hosting suppliers, but we strongly hold that you shouldn’t be compelled to modify a website that took years to create, since older scripting language syntax doesn’t always equal security breaches. Quite the opposite, a properly maintained site using PHP 4 can be more reliable than an incompetently maintained one using PHP 5. For your convenience’s sake, we will also provide you with the possibility to pick a different version for each individual site within the account.